<!DOCTYPE html>
<html>
    <head>
        <title>
           html form
        </title>
    </head>
    <body>
        <h1>Contact Page</h1>
        <!--Form Tags, for creating forms
        <input> element is the most used form element
        <input type="text"> defines a single-line input field for text input
        <.form> label tag is used to specify the name of a form. 
        Used to reference the form-data after submitting the form.
        The <label> element is useful for screen-reader users, because the 
        screen-reader will read out loud the label when the user focus on the input element.
        The for attribute of the <label> tag should be equal to the id attribute of the <input> 
        element to bind them together.
        The <input type="radio"> defines a radio button. Radio buttons let a user select ONE of a 
        limited number of choices. Take note of the name attribute for each radio button. The 
        <input type="radio"> defines a radio button. Radio buttons let a user select ONE of a 
        limited number of choices. Take note of the name attribute for each radio button. 
    The <input type="checkbox"> defines a checkbox. Checkboxes let a user select ZERO or MORE options of a limited number of choices.
The <select> element defines a drop-down list:
-->

        <form method="" action=""> 
            <input type="email">
            <input type="number" max="10" min="-5">
            <input type="color">
            <input type="password">



            <label for="date">Date</label><br>
            <input type="date" name="date" id="date"><br>
            <label for="fname">First Name:</label><br>
            <input type="text" name="fname" id="fname">

            <br>

            <label for="lname">Last Name:</label><br>
            <input type="text" name="lname" id="lname">

            <!--radio buttons-->
            <br>
            <label for="male">Male</label>
            <input type="radio" name="gender" id="male" value="male">
            <label for="female">Female</label>
            <input type="radio" name="gender" id="female" value="female">
            <!--checkboxes-->
            <br>
            <h3>Select All Applicable</h3>

            <input type="checkbox" name="vehicle1" id="vehicle1" value="bike">
            <label for="vehicle1">I have a bike</label>

            <input type="checkbox" name="vehicle2" id="vehicle2" value="car">
            <label for="vehicle2">I have a car</label>

            <!--dropdown-->
            <br>

            <label for="card">Choose card</label>
            <select id="card" name="card">
                <option value="vs">visa</option>
                <option value="ct">citi</option>

            </select>
            <br>
            <button type="submit">Submit form</button>
            <button type="reset">clear</button>


        </form>
   
    </body>
</html>